Package org.apache.synapse.securevault

## Class SecretResolverFactory

- java.lang.Object
- - org.apache.synapse.securevault.SecretResolverFactory

-     public class SecretResolverFactory
      extends Object

  Factory for creating `SecretResolver` instances

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecretResolverFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SecretResolver` | `create​(Properties properties, String propertyPrefix)` | Creates an `SecretResolver` instance from a set of property
    `static SecretResolver` | `create​(org.apache.axiom.om.OMElement configuration, boolean isCapLetter)` | Creates an `SecretResolver` instance from an XML
    `static SecretResolver` | `create​(Element configuration, boolean isCapLetter)` | Creates an `SecretResolver` instance from an XML
    `static SecretResolver` | `create​(NamedNodeMap namedNodeMap)` | Creates an `SecretResolver` instance from a set of DOM Node

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretResolverFactory

          public SecretResolverFactory()

  - ### Method Detail

    - #### create

          public static SecretResolver create​(Element configuration,
                                              boolean isCapLetter)

      Creates an `SecretResolver` instance from an XML
      Parameters:
        `configuration` - `SecretResolver` configuration as XML object, DOM
        `isCapLetter` - whether the XML element begins with a cap letter
      Returns:
        an `SecretResolver` instance

    - #### create

          public static SecretResolver create​(org.apache.axiom.om.OMElement configuration,
                                              boolean isCapLetter)

      Creates an `SecretResolver` instance from an XML
      Parameters:
        `configuration` - `SecretResolver` configuration as XML object, OMElement
        `isCapLetter` - whether the XML element begins with a cap letter
      Returns:
        an `SecretResolver` instance

    - #### create

          public static SecretResolver create​(Properties properties,
                                              String propertyPrefix)

      Creates an `SecretResolver` instance from a set of property
      Parameters:
        `properties` - configuration properties
        `propertyPrefix` - prefix to identify suitable configuration properties
      Returns:
        an `SecretResolver` instance

    - #### create

          public static SecretResolver create​(NamedNodeMap namedNodeMap)

      Creates an `SecretResolver` instance from a set of DOM Node
      Parameters:
        `namedNodeMap` - DOM node set
      Returns:
        an `SecretResolver` instance